{
  "name": "staffdb",
  "version": "14.23.33",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "reinstall:packages": "rm -rf node_modules dist && npm cache clean --force && rm package-lock.json && npm install",
    "win_reinstall:packages": "rd /s /q node_modules && npm cache clean --force && del package-lock.json && npm install",
    "add_pwa": "ng add @angular/pwa@latest"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^17.3.10",
    "@angular/cdk": "^16.2.14",
    "@angular/common": "^17.3.10",
    "@angular/compiler": "^17.3.10",
    "@angular/core": "^17.3.10",
    "@angular/forms": "^17.3.10",
    "@angular/localize": "^17.3.10",
    "@angular/material": "^16.2.14",
    "@angular/material-moment-adapter": "^16.2.14",
    "@angular/platform-browser": "^17.3.10",
    "@angular/platform-browser-dynamic": "^17.3.10",
    "@angular/pwa": "^17.3.8",
    "@angular/router": "^17.3.10",
    "@angular/service-worker": "^17.3.10",
    "@ngx-translate/core": "^15.0.0",
    "@ngx-translate/http-loader": "^8.0.0",
    "@sentry/angular": "^8.4.0",
    "angular-in-memory-web-api": "^0.17.0",
    "devextreme-angular": "~23.2.6",
    "exceljs": "^4.4.0",
    "file-saver": "^2.0.5",
    "jspdf": "^2.5.1",
    "moment": "^2.30.1",
    "ngx-clipboard": "^16.0.0",
    "ngx-device-detector": "^7.0.0",
    "ngx-mask": "^17.0.8",
    "ngx-spinner": "^17.0.0",
    "ngx-translate-multi-http-loader": "^17.0.0",
    "ngx-webcam": "^0.4.1",
    "rxjs": "^7.8.1",
    "zone.js": "^0.14.6"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.3.8",
    "@angular/cli": "^17.3.8",
    "@angular/compiler-cli": "^17.3.10",
    "@angular/language-service": "^17.3.10",
    "@types/jasmine": "latest",
    "@types/node": "latest",
    "codelyzer": "latest",
    "jasmine-core": "latest",
    "jasmine-spec-reporter": "latest",
    "karma": "latest",
    "karma-chrome-launcher": "latest",
    "karma-coverage": "latest",
    "karma-jasmine": "latest",
    "karma-jasmine-html-reporter": "latest",
    "protractor": "latest",
    "ts-node": "latest",
    "tslint": "latest",
    "typescript": "~5.4.5"
  }
}
